import { Component, OnInit } from '@angular/core';
import { Movie } from '../Shared/Movie';
import { MovieService } from '../movie.service';
import { Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-movie-list',
  templateUrl: './movie-list.component.html',
  styleUrls: ['./movie-list.component.css']
})
export class MovieListComponent implements OnInit {
  movies : Movie[];
  selectedMovie : Movie|undefined;

  @Output('movie-selected') public movieSelected = new EventEmitter<Movie>();


  constructor(public movieService : MovieService) {
    this.movies=this.movieService.getMovies();
  }

  ngOnInit() { }

  //public onSelect(movie : Movie){ this.selectedMovie = movie; }

  public onSelect(movie : Movie){
    this.selectedMovie = movie;
    this.movieSelected.emit(movie);

   }

}
